#ifndef PMWORLD_H
#define PMWORLD_H

#include <windows.h>
#include <gl\gl.h>
#include <gl\glu.h>
#include <gl\glaux.h>
#include <iostream>
#include <string>
#include <vector>
#include "common.h"

using namespace std;

class CPMWorld {
public:
	CPMWorld ();
	virtual ~CPMWorld ();

	bool LoadFile (const string &filename);
	void DrawWorld ();

private:
	string	m_filename;
	vector<f32> m_data;
};

#endif //PMWORLD_H