#ifndef VIEWDIALOG_H
#define VIEWDIALOG_H

#include <windows.h>
#include "Windows\Dialog.h"
#include "pmmodelgl.h"

using namespace Windows;

class CPMDataDialog : public CDialog
{
public:
	CPMDataDialog (UINT nResID, HWND hWndParent = NULL);	
	CPMDataDialog (LPCTSTR lpszResName, HWND hWndParent = NULL);
	CPMDataDialog (LPCDLGTEMPLATE lpTemplate, HWND hWndParent = NULL);
	CPMDataDialog (UINT nResID, CPMModelGL* pmm, HWND hWndParent = NULL);
	virtual ~CPMDataDialog ();

	virtual BOOL DialogProc (HWND hwnd, UINT uMsg, WPARAM wParam, LPARAM lParam);
	virtual BOOL OnInitDialog ();

protected:
	void InitLists ();

	void SetHeader ();
	void SetBlock2 ();
	void SetBlock3 ();
	void SetBlock4 ();
	void SetBlock5 ();
	void SetBlock6 ();
	void SetBlock8 ();
	void SetBlock10 ();
	void SetBlock19 ();
	void SetBlock20 ();
	void SetBlock21 ();
	void SetBlock22 ();
	void SetBlock23 ();
	void SetBlock24 ();
	void SetBlock25 ();
	void SetBlock26 ();
	void SetBlock27 (int idx);

	CPMModelGL* m_pmm;
};

#endif // VIEWDIALOG_H